#!/bin/bash

# 测试Split自动赠送会员脚本

echo "开始测试Split自动赠送会员脚本..."

# 测试参数解析
echo "测试1: 缺少必要参数"
node simple.js
if [ $? -eq 1 ]; then
  echo "✅ 测试通过: 脚本正确检测到缺少必要参数"
else
  echo "❌ 测试失败: 脚本未能正确检测到缺少必要参数"
fi

echo "测试2: 提供必要参数"
node simple.js --telegram-id=123456789 --headless=false --dry-run=true
if [ $? -eq 0 ]; then
  echo "✅ 测试通过: 脚本接受了必要参数"
else
  echo "❌ 测试失败: 脚本未能正确处理必要参数"
fi

echo "测试3: 检查日志文件创建"
if [ -d "logs" ]; then
  echo "✅ 测试通过: 日志目录已创建"
else
  echo "❌ 测试失败: 日志目录未创建"
fi

echo "测试完成"
